<!-- this is a spring XML file where we have Camel embedded -->
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:camel="http://camel.apache.org/schema/spring" xmlns:jaxrs="http://cxf.apache.org/jaxrs"
       xmlns="http://www.springframework.org/schema/beans"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.2.xsd
        http://camel.apache.org/schema/spring http://camel.apache.org/schema/spring/camel-spring.xsd
        http://cxf.apache.org/jaxrs http://cxf.apache.org/schemas/jaxrs.xsd">

    <import resource="classpath:config/app/camel/routes/ClientsRegisration.xml"/>
    <import resource="routes/beans.xml"/>
    <import resource="routes/endpoints.xml"/>
    <import resource="routes/MPClearIntegration/mpay-reg-msg-outward.xml"/>
    <import resource="routes/sms-notification.xml"/>
    <import resource="routes/core-notification.xml"/>
    <import resource="routes/RestService/ProcessMessage-rest-cxf.xml"/>
    <import resource="routes/check-mpay-availability.xml"/>
    <import resource="routes/MPClearIntegration/jfwmpc-reg-inward.xml"/>
<!--    <import resource="routes/sendPaymentInquiry.xml"/>-->
<!--    <import resource="routes/send1700RegistrationInquiry.xml"/>-->

    <camelContext id="appCamelContext" xmlns="http://camel.apache.org/schema/spring"
                  useMDCLogging="true" autoStartup="true">

        <package>com.progressoft.mpay.jfwmpclearinteg.routes</package>
        <camel:routeContextRef ref="jfwmpcRegInward"/>
        <camel:routeContextRef ref="processMessageRestCxf"/>
        <camel:routeContextRef ref="coreNotification"/>
        <camel:routeContextRef ref="client_registration"/>
        <camel:routeContextRef ref="callSmsGateWay"/>
<!--        <camel:routeContextRef ref="send1700RegistrationInquiry"/>-->
<!--        <camel:routeContextRef ref="sendPaymentInquiry"/>-->
    </camelContext>

    <jaxrs:server id="processMessage" address="/process"
                  staticSubresourceResolution="true" publish="false">
        <jaxrs:serviceBeans>
            <ref bean="operationContract"/>
        </jaxrs:serviceBeans>
    </jaxrs:server>

</beans>